apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: phpipamdb
  name: phpipamdb
  namespace: phpipam
spec:
  replicas: 1
  selector:
    matchLabels:
      app: phpipamdb
  template:
    metadata:
      labels:
        app: phpipamdb
    spec:
      containers:
        - env:
            - name: MYSQL_ROOT_PASSWORD
              value: "Saasadmin1234@"
          image: mysql:5.7.43
          name: phpipam-mariadb
          ports:
            - containerPort: 3306
          resources: {}
          securityContext:
            privileged: true
          volumeMounts:
            - mountPath: /var/lib/mysql
              name: phpipam-db
      volumes:
        - name: phpipam-db
          persistentVolumeClaim:
            claimName: phpipam-db
